List recording rule templates
GET
/v1/recordingrule/template/
const url = 'https://example.com/v1/recordingrule/template/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/recordingrule/template/ \ --header 'Authorization: Bearer <token>'Return the library of recording rule templates available as starting points.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”active
boolean
cursor
string
The pagination cursor value.
id
string format: uuid
page_size
integer
Number of results to return per page.
search
string
A search term.
Responses
Section titled “Responses”Media typeapplication/json
object
next
string format: uri
previous
string format: uri
results
required
Array<object>
object
id
required
string
name
required
string
category
required
string
tags
required
Array<string>
suggested_name
required
string
query
required
string
description
string
params
required
Array<object>
object
name
required
string
label
required
string
type
text- textstring- stringmetric- metricfloat- floatduration- duration
string
default
string
default_unit
required
integer
default_threshold_high_warning
required
number format: double
default_threshold_high_critical
required
number format: double
default_threshold_low_warning
required
number format: double
default_threshold_low_critical
required
number format: double
Example
{ "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"", "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3", "results": [ { "description": "", "params": [ { "type": "text" } ] } ]}